Subject: Re: [bug#65883] [PATCH] .dir-locals.el: Update bug-reference configuration and document it.

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 25 Sep 2023 13:27:03 -0400

Hi Simon,

Simon Tournier <[email-masked]> writes:

> Hi,
>
> On Mon, 25 Sept 2023 at 18:13, Maxim Cournoyer
> <[email-masked]> wrote:
>
>> >> Thanks for pointing these other possibilities.  Unless they are
>> >> prominently documented though, I'd maybe opt to leave them out, as their
>> >> format simply uses more characters for no added value.
>> >
>> > What I have noticed is the way Mumi resolves from Message-ID to Debbugs-ID:
>> >
>> > https://issues.guix.gnu.org/msgid/[email-masked]
>> >     ->
>> > https://issues.guix.gnu.org/issue/65131#msgid-4f7b841a5c1ab6ea0ee22d3bbd2bedab2ed435fa
>> >
>> > And this case could be handled, no?
>>
>> I'm not sure how it'd work; bug-reference understand a simple full bug
>> URLs, not ones pointing to a particular message.
>
> I was answering about "Unless they are prominently documented though"
> by mentioning the /issue/ part is there when Mumi resolves from
> Message-ID to Debbugs-ID.  Well, "prominently" documented when
> speaking about Mumi is difficult to evaluate. ;-)  Instead, I notice
> Mumi uses it.
>
> And I was asking about the regular expression for
> https://issues.guix.gnu.org/issue/65131#msgid-4f7b841a5c1ab6ea0ee22d3bbd2bedab2ed435fa
> where bug-reference can extract 65131.
>
> Somehow, I think that the regular expression of bug-reference should
> handle https://issues.guix.gnu.org/issue/12345 in addition to
> https://issues.guix.gnu.org/12345.  And bonus for
> https://issues.guix.gnu.org/issue/65131#msgid-[:alnum:] :-)

OK, thanks for explaining.  I don't object to the proposed change, but
I'll pass on the implementation :-).

-- 
Thanks,
Maxim